# setComponentValue

## Description

Allows users to set a value to a component.

## Input / Parameter

| Name        | Description                            | Input Type  | Default | Options | Required                           |
| ----------- | -------------------------------------- | ----------- | ------- | ------- | ---------------------------------- |
| component   | The name of the component.             | String/Text | -       | -       | Partial (Yes if no 'componentId'.) |
| componentId | The id of the component.               | String/Text | -       | -       | Partial (Yes if no 'component'.)   |
| value       | The value to be set for the component. | String/Text | -       | -       | Yes                                |

**\* Note:** Either component or componentId must have a value in order for this function to work.

## Output

N/A

Note: The component will be updated to show the value that has been set to it.

## Callback

N/A

## Video

## Example

### Steps

In this example we have a button (in blue) that when clicked will change the value of the form input component to say "This is the Input Box!"

![](/files/l69irJKekayWvp8J3Ejo)

1. First, we drag a button and a form input onto the canvas.
2. Select the button and under the 'Actions' tab, drag the `setComponentValue` into the flow for the button.

![](/files/Wq0RPJP77NAPUwvmlwXa)

3. Under the inspector for this function, select the component whose value you would be changing, which in this example is `InputBox`.
4. Enter the new value to display.

### Result

1. Save and preview your app.
2. Now when you click the button, it will set the component value of InputBox to 'This is the Input Box!'

![](/files/L7lrz0dAphqW8xI5enZu)

## Links

* See also [`componentValue`](/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/app/componentvalue.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/app/setcomponentvalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
